Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{oid}
/
signup
/
verify
accounts_oid_signup_verify_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{oid}/signup/verify \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "<string>",
  "access_token": "<string>",
  "expires_in": 123,
  "token_type": "Bearer",
  "refresh_token": "<string>",
  "email": "<string>",
  "previous_password_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Query Parameters

verification_code
string
required

Verification code sent to the applicant email when requesting a signup POST /accounts/{oid}/signup

authorize
enum<string>

Request access tokens to be included in the response.

Available options:
Bearer

Response

Authorized

account_id
string<^\d{8}$>

Account ID for the account created from completing the signup

access_token
string

Applicant user access token with openid scope

expires_in
integer

The lifetime in seconds of the access token.

token_type
enum<string>
Available options:
Bearer
refresh_token
string
email
string

The email for the user that verified the account

previous_password_token
string

A token that can be used as previous_passwordvalue when changing the password for the user via PUT /v1/accounts/{aid}/account/user/password. Only included in the response if the signup created a new account user.

Last modified on May 12, 2026